#400 Uninstall of JMRI files left

Broad_impact
closed
None
5
2015-12-08
2012-05-26
No

Uninstalled JMRI, then deleted the JMRI folder in the Programs folder of a Windows XP and Win7 system. Installed 2.99.4 and selected all short cuts, then used the control panel to delete JMRI. Shortcuts got removed except DP3 and files that got left in the program foder were help, lib, web, xml and the Install test.bat.

I think they should all get removed on an a delete program.

Related

Bugs: #400

Discussion

  • Matthew Harris

    Matthew Harris - 2012-05-29
    • assigned_to: nobody --> matthewharris
     
  • B. Milhaupt

    B. Milhaupt - 2015-03-31

    It is possible that this issue is fixed, depending in part on which JMRI version was the "previously-installed" version. The Start Menu and Desktop icons from previous versions should be removed/replaced, regardless of which JMRI version was previously installed.

    For files in the JMRI install directory, many "outmoded" files have been added to the Windows installer configuration file to delete "old stuff" from previous installs, but it is not easy to determine which files have been replaced by newer versions which use different file names. I've handled the ones which have been obvious to me.

    If a particular pair of JMRI versions can be provided (old# and new#), or a list of specific files which are left-behind by the uninstall process, the appropriate changes can be made to the Windows installer configuration files.

     
    • Randall Wood

      Randall Wood - 2015-03-31

      This is not a request for an uninstall-during-upgrade, but a request for a command that does a complete uninstall.

      On 31 Mar 2015, at 15:16, B. Milhaupt bob-m-dcc@users.sf.net wrote:

      It is possible that this issue is fixed, depending in part on which JMRI version was the "previously-installed" version. The Start Menu and Desktop icons from previous versions should be removed/replaced, regardless of which JMRI version was previously installed.

      For files in the JMRI install directory, many "outmoded" files have been added to the Windows installer configuration file to delete "old stuff" from previous installs, but it is not easy to determine which files have been replaced by newer versions which use different file names. I've handled the ones which have been obvious to me.

      If a particular pair of JMRI versions can be provided (old# and new#), or a list of specific files which are left-behind by the uninstall process, the appropriate changes can be made to the Windows installer configuration files.

      [bugs:#400] Uninstall of JMRI files left

      Status: open
      Group:
      Created: Sat May 26, 2012 05:56 AM UTC by Walter Thompson
      Last Updated: Tue May 29, 2012 01:27 PM UTC
      Owner: Matthew Harris

      Uninstalled JMRI, then deleted the JMRI folder in the Programs folder of a Windows XP and Win7 system. Installed 2.99.4 and selected all short cuts, then used the control panel to delete JMRI. Shortcuts got removed except DP3 and files that got left in the program foder were help, lib, web, xml and the Install test.bat.

      I think they should all get removed on an a delete program.

      Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/jmri/bugs/400/

      To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #400

  • B. Milhaupt

    B. Milhaupt - 2015-04-01

    I've looked at the NSIS config file, and now I have a better understanding of what is deleted when Uninstall.exe runs, as opposed to what is deleted when installing over a previous install.

    It appears to me that the "Uninstall.exe" program deletes those files which were installed and were listed at installation time in the "install.log" file in the program installation directory. It will also delete certain desktop and start menu links. Everything else stays put.

    It seems to me that the current (revision 28790) config file deletes all of the desktop links and start menu links that it creates. This is confirmed by trying 3.11.4 install followed by un-install.

    I figure this bug can be closed, as the problem doesn't apply to the current release.

    (But we will need to continue to be careful that we don't have problems in future releases.)

     
    • Matthew Harris

      Matthew Harris - 2015-04-01

      Indeed, the uninstaller is set-up to only remove those files that it
      explicitly added.

      The reason this was done was to (attempt to) prevent removing certain
      user files that were placed in the JMRI Program directory (which used
      to be fairly commonplace).

      It might be a good idea to revisit this - simply zapping the whole
      JMRI directory within 'Program Files' when performing an uninstall.

      As far as 'orphaned' shortcuts are concerned, this can happen when a
      previous installation is performed for 'All Users' and a subsequent
      installation as 'Only current user' (or vice-versa) as the uninstaller
      only removes those shortcuts in the most recent installed 'mode' -
      there are different permissions involved.

      Now, the installer does attempt to default to the same installation
      mode on an upgrade but, it is always possible that this default is
      overridden leading to the potential of orphaned shortcuts.

      Best regards,

      Matt H

      On 1 April 2015 at 02:19, B. Milhaupt bob-m-dcc@users.sf.net wrote:

      I've looked at the NSIS config file, and now I have a better understanding
      of what is deleted when Uninstall.exe runs, as opposed to what is deleted
      when installing over a previous install.

      It appears to me that the "Uninstall.exe" program deletes those files which
      were installed and were listed at installation time in the "install.log"
      file in the program installation directory. It will also delete certain
      desktop and start menu links. Everything else stays put.

      It seems to me that the current (revision 28790) config file deletes all of
      the desktop links and start menu links that it creates. This is confirmed by
      trying 3.11.4 install followed by un-install.

      I figure this bug can be closed, as the problem doesn't apply to the current
      release.

      (But we will need to continue to be careful that we don't have problems in
      future releases.)


      [bugs:#400] Uninstall of JMRI files left

      Status: open
      Group:
      Created: Sat May 26, 2012 05:56 AM UTC by Walter Thompson
      Last Updated: Tue Mar 31, 2015 07:16 PM UTC
      Owner: Matthew Harris

      Uninstalled JMRI, then deleted the JMRI folder in the Programs folder of a
      Windows XP and Win7 system. Installed 2.99.4 and selected all short cuts,
      then used the control panel to delete JMRI. Shortcuts got removed except DP3
      and files that got left in the program foder were help, lib, web, xml and
      the Install test.bat.

      I think they should all get removed on an a delete program.


      Sent from sourceforge.net because you indicated interest in
      https://sourceforge.net/p/jmri/bugs/400/

      To unsubscribe from further messages, please visit
      https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #400

  • Bob Jacobsen

    Bob Jacobsen - 2015-12-08
    • status: open --> closed
    • Group: --> Broad_impact
     
  • Bob Jacobsen

    Bob Jacobsen - 2015-12-08

    Walt Thompson requested closing this.

     

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks